Index: WAeUP_SRP/base/Academics.py
===================================================================
--- WAeUP_SRP/base/Academics.py	(revision 3436)
+++ WAeUP_SRP/base/Academics.py	(revision 3438)
@@ -633,9 +633,9 @@
         heading += '"category","study_mode","end_level","m_prefix","max_elect","max_pass",'
         heading += '"n_core","nr_years","original_code","probation_credits",'
-        heading += '"promotion_credits","start_level","admin_status"'
+        heading += '"promotion_credits","start_level","admin_status","application_category"'
         dataline = '"%(code)s","%(review_state)s","%(title)s","%(faculty_code)s","%(department_code)s",'
         dataline += '"%(category)s","%(study_mode)s","%(end_level)s","%(m_prefix)s","%(max_elect)s","%(max_pass)s",'
         dataline += '"%(n_core)s","%(nr_years)s","%(original_code)s","%(probation_credits)s",'
-        dataline += '"%(promotion_credits)s","%(start_level)s","%(admin_status)s"'
+        dataline += '"%(promotion_credits)s","%(start_level)s","%(admin_status)s","%(application_category)s"'
         export.append(heading)
         #import pdb;pdb.set_trace()
@@ -664,4 +664,5 @@
                     di['promotion_credits'] = getattr(certificate_d,'promotion_credits',None)
                     di['start_level'] = getattr(certificate_d,'start_level',None)
+                    di['application_category'] = getattr(certificate_d,'application_category',None)
                     di['code'] = di['code'] or certificate.id
                     di['review_state'] = self.portal_workflow.getInfoFor(certificate,'review_state','no_state')
Index: WAeUP_SRP/base/Widgets.py
===================================================================
--- WAeUP_SRP/base/Widgets.py	(revision 3436)
+++ WAeUP_SRP/base/Widgets.py	(revision 3438)
@@ -787,5 +787,5 @@
         self._dict = d
         self._msgids = m
-    
+
     def __getitem__(self, key):
         """Get a label for a key."""
@@ -849,8 +849,8 @@
     def _getVocabulary(self,datastructure=None):
         if self.REQUEST.traverse_subpath:
-            screening_type = self.REQUEST.traverse_subpath[0].upper()
-        else:
-            screening_type = 'ALL'
-        if screening_type in ("ALL","CEST","SANDWICH"):
+            screening_type = self.REQUEST.traverse_subpath[0].lower()
+        else:
+            screening_type = 'all'
+        if screening_type in ("all","cest","sandwich"):
             application_category = screening_type
         else:
@@ -866,5 +866,5 @@
         l  = []
         for k,d in self._v_certificates_docs.items():
-            if application_category == "ALL":
+            if application_category == "all":
                 l  += (k,self._v_certificates_docs[k].title,k),
             else:
@@ -873,5 +873,5 @@
         #import ipdb;ipdb.set_trace()
         return VocabularyOnTheFly(l)
-                                        
+
 InitializeClass(ApplicationCourseWidget)
 
Index: WAeUP_SRP/base/skins/waeup_utilities/fillApplicationCategory.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_utilities/fillApplicationCategory.py	(revision 3436)
+++ WAeUP_SRP/base/skins/waeup_utilities/fillApplicationCategory.py	(revision 3438)
@@ -1,3 +1,3 @@
-## Script (Python) "ti_507_resolve"
+## Script (Python) "fillApplicationCategory"
 ##bind container=container
 ##bind context=context
@@ -36,4 +36,5 @@
 logger.info('start')
 count = 0
+not_count = 0
 found = 0
 commit_after = 1000
@@ -41,7 +42,7 @@
 certificates = context.portal_catalog.search({'meta_type': "Certificate"})
 logger.info("found %d certificates" % len(certificates))
-cat = {'cos': 'BASIC',
-       'cos_cest': 'CEST',
-       'cos_sandwich': 'SANDWICH',
+cat = {'cos': 'basic',
+       'cos_cest': 'cest',
+       'cos_sandwich': 'sandwich',
        }
 to_change = {}
@@ -59,7 +60,10 @@
         logger.info("%s in %s" % (cert.id,','.join(found)))
         count += 1
+    else:
+        not_count += 1
+        logger.info("%s not in vocabularies" % (cert.id,))
 for cert,d in to_change.items():
     d['cert_doc'].edit(mapping = d)
-    logger.info("set application_category of %s to %s" % 
+    logger.info("set application_category of %s to %s" %
                (cert,d['application_category']))
-logger.info("found %d not in vocabularies" % count)
+logger.info("%d cert codes found, %d not found in vocabularies" % (count,not_count))
